scsi_dev_info_list_add
Prev | drivers/scsi/scsi_devinfo.c | Next

## Name

scsi_dev_info_list_add — add one dev_info list entry.

## Synopsis

`int scsi_dev_info_list_add (` | int | compatible,
| char * | vendor,
| char * | model,
| char * | strflags,
| int | flags`)`;

## Arguments

`compatible`

  if true, null terminate short strings. Otherwise space pad.

`vendor`

  vendor string

`model`

  model (product) string

`strflags`

  integer string

`flags`

  if strflags NULL, use this flag value

## Description

Create and add one dev_info entry for `vendor`, `model`, `strflags` or `flag`. If `compatible`, add to the tail of the list, do not space pad, and set devinfo->compatible. The scsi_static_device_list entries are added with `compatible` 1 and `clfags` NULL.

## Returns

0 OK, -error on failure.

Prev | Up | Next
scsi_get_sense_info_fld | Home | scsi_dev_info_list_add_str